Bug 1102247 - fstrim on bcache enabled file system produces an Oops
fstrim on bcache enabled file system produces an Oops
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.0
x86-64 SUSE Other
: P5 - None : Critical (vote)
: ---
Assigned To: Coly Li
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-23 13:28 UTC by Paulo Fessel
Modified: 2019-10-24 14:48 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Fessel 2018-07-23 13:28:14 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101 Firefox/60.0
Build Identifier: 

I was using my computer normally (browsing the web) when responsiveness went suddenly low. Could not use any of the open windows on my desktop, so I did a Ctrl+Alt+F1. After logging in as root and checking dmesg, I've got the following Oops:

2018-07-23T00:00:19.289492-03:00 wotan kernel: [363859.916360] BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
2018-07-23T00:00:19.289510-03:00 wotan kernel: [363859.916377] IP: blk_queue_split+0x1b1/0x5a0
2018-07-23T00:00:19.289511-03:00 wotan kernel: [363859.916382] PGD 0 P4D 0 
2018-07-23T00:00:19.289512-03:00 wotan kernel: [363859.916387] Oops: 0000 [#1] SMP NOPTI
2018-07-23T00:00:19.289513-03:00 wotan kernel: [363859.916392] Modules linked in: fuse af_packet nf_conntrack_netbios_ns nf_conntrack_broadcast xt_tcpudp xt_CT ip6t_rpfilter ip6t_REJECT ipt_REJECT xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables x_tables vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) binfmt_misc msr xfs xpad ff_memless btrfs raid456 async_raid6_recov async_memcpy libcrc32c async_pq async_xor xor async_tx uas usb_storage snd_hda_codec_hdmi uvcvideo snd_usb_audio videobuf2_vmalloc snd_usbmidi_lib videobuf2_memops
2018-07-23T00:00:19.289528-03:00 wotan kernel: [363859.916456]  raid6_pq videobuf2_v4l2 snd_rawmidi videobuf2_core snd_seq_device usblp videodev joydev bcache md_mod snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep edac_mce_amd snd_pcm kvm_amd ccp snd_timer kvm irqbypass snd sp5100_tco k10temp asus_atk0110 i2c_piix4 pcspkr r8169 soundcore mii shpchp acpi_cpufreq ata_generic hid_generic usbhid ohci_pci nvidia_drm(PO) nvidia_modeset(PO) nvidia(PO) firewire_ohci firewire_core xhci_pci drm_kms_helper ohci_hcd ehci_pci syscopyarea xhci_hcd sysfillrect ehci_hcd sysimgblt fb_sys_fops crc_itu_t serio_raw drm ahci drm_panel_orientation_quirks ipmi_devintf usbcore libahci pata_jmicron ipmi_msghandler wmi button sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_dh_alua
2018-07-23T00:00:19.289529-03:00 wotan kernel: [363859.916518] CPU: 5 PID: 5770 Comm: fstrim Tainted: P           O     4.12.14-lp150.12.4-default #1 openSUSE Leap 15.0 (unreleased)
2018-07-23T00:00:19.289530-03:00 wotan kernel: [363859.916526] Hardware name: System manufacturer System Product Name/M4A89TD PRO USB3, BIOS 3029    09/07/2012
2018-07-23T00:00:19.289531-03:00 wotan kernel: [363859.916533] task: ffff8801a3d701c0 task.stack: ffffc90007a8c000
2018-07-23T00:00:19.289538-03:00 wotan kernel: [363859.916539] RIP: 0010:blk_queue_split+0x1b1/0x5a0
2018-07-23T00:00:19.289539-03:00 wotan kernel: [363859.916543] RSP: 0018:ffffc90007a8f988 EFLAGS: 00010246
2018-07-23T00:00:19.289540-03:00 wotan kernel: [363859.916548] RAX: 00000000ffffffff RBX: 0000000000008600 RCX: 00000000025ad3bd
2018-07-23T00:00:19.289541-03:00 wotan kernel: [363859.916555] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88041d3ac040
2018-07-23T00:00:19.289542-03:00 wotan kernel: [363859.916562] RBP: ffffc90007a8fa08 R08: 0000000000000000 R09: 0000000000000000
2018-07-23T00:00:19.289543-03:00 wotan kernel: [363859.916568] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
2018-07-23T00:00:19.289549-03:00 wotan kernel: [363859.916575] R13: 0000000000000000 R14: ffff88041d3ac040 R15: ffff8801a3c52720
2018-07-23T00:00:19.289551-03:00 wotan kernel: [363859.916582] FS:  00007f4c17246fc0(0000) GS:ffff880437d40000(0000) knlGS:0000000000000000
2018-07-23T00:00:19.289551-03:00 wotan kernel: [363859.916589] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2018-07-23T00:00:19.289552-03:00 wotan kernel: [363859.916594] CR2: 0000000000000008 CR3: 000000010fcbe000 CR4: 00000000000006e0
2018-07-23T00:00:19.289553-03:00 wotan kernel: [363859.916600] Call Trace:
2018-07-23T00:00:19.289554-03:00 wotan kernel: [363859.916621]  ? cached_dev_cache_miss+0x270/0x270 [bcache]
2018-07-23T00:00:19.289554-03:00 wotan kernel: [363859.916629]  ? cached_dev_make_request+0xa55/0xcd0 [bcache]
2018-07-23T00:00:19.289557-03:00 wotan kernel: [363859.916635]  blk_queue_bio+0x2f/0x440
2018-07-23T00:00:19.289558-03:00 wotan kernel: [363859.916640]  generic_make_request+0x101/0x2e0
2018-07-23T00:00:19.289558-03:00 wotan kernel: [363859.916645]  ? submit_bio+0x6c/0x140
2018-07-23T00:00:19.289559-03:00 wotan kernel: [363859.916649]  submit_bio+0x6c/0x140
2018-07-23T00:00:19.289560-03:00 wotan kernel: [363859.916654]  next_bio+0x33/0x40
2018-07-23T00:00:19.289561-03:00 wotan kernel: [363859.916659]  __blkdev_issue_discard+0x11e/0x1d0
2018-07-23T00:00:19.289563-03:00 wotan kernel: [363859.916665]  blkdev_issue_discard+0x5d/0xb0
2018-07-23T00:00:19.289564-03:00 wotan kernel: [363859.916715]  ? xfs_trim_extents+0x2b6/0x430 [xfs]
2018-07-23T00:00:19.289564-03:00 wotan kernel: [363859.916740]  xfs_trim_extents+0x2b6/0x430 [xfs]
2018-07-23T00:00:19.289565-03:00 wotan kernel: [363859.916766]  xfs_ioc_trim+0x152/0x1f0 [xfs]
2018-07-23T00:00:19.289566-03:00 wotan kernel: [363859.916791]  xfs_file_ioctl+0x331/0xa20 [xfs]
2018-07-23T00:00:19.289566-03:00 wotan kernel: [363859.916798]  ? sprintf+0x42/0x50
2018-07-23T00:00:19.289567-03:00 wotan kernel: [363859.916817]  ? do_filp_open+0xa0/0xf0
2018-07-23T00:00:19.289570-03:00 wotan kernel: [363859.916821]  ? _copy_to_user+0x22/0x30
2018-07-23T00:00:19.289570-03:00 wotan kernel: [363859.916825]  ? cp_new_stat+0x13d/0x160
2018-07-23T00:00:19.289571-03:00 wotan kernel: [363859.916830]  do_vfs_ioctl+0x90/0x5f0
2018-07-23T00:00:19.289572-03:00 wotan kernel: [363859.916834]  ? SYSC_newfstat+0x29/0x40
2018-07-23T00:00:19.289572-03:00 wotan kernel: [363859.916839]  SyS_ioctl+0x74/0x80
2018-07-23T00:00:19.289573-03:00 wotan kernel: [363859.916844]  do_syscall_64+0x7b/0x140
2018-07-23T00:00:19.289575-03:00 wotan kernel: [363859.916849]  entry_SYSCALL_64_after_hwframe+0x3d/0xa2
2018-07-23T00:00:19.289576-03:00 wotan kernel: [363859.916853] RIP: 0033:0x7f4c16b33477
2018-07-23T00:00:19.289577-03:00 wotan kernel: [363859.916856] RSP: 002b:00007fffcfc96378 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
2018-07-23T00:00:19.289578-03:00 wotan kernel: [363859.916863] RAX: ffffffffffffffda RBX: 0000000000000003 RCX: 00007f4c16b33477
2018-07-23T00:00:19.289578-03:00 wotan kernel: [363859.916869] RDX: 00007fffcfc96380 RSI: 00000000c0185879 RDI: 0000000000000003
2018-07-23T00:00:19.289579-03:00 wotan kernel: [363859.916874] RBP: 0000000000000000 R08: 00005634b81274c0 R09: 000000000000000a
2018-07-23T00:00:19.289580-03:00 wotan kernel: [363859.916880] R10: 0000000000000000 R11: 0000000000000246 R12: 00005634b8126f80
2018-07-23T00:00:19.289583-03:00 wotan kernel: [363859.916886] R13: 0000000000000001 R14: 00007f4c17246f38 R15: 00005634b8126f80
2018-07-23T00:00:19.289584-03:00 wotan kernel: [363859.916892] Code: 34 45 31 c9 45 8b 67 3c 45 31 c0 c7 45 a8 00 00 00 00 45 31 d2 85 db 0f 84 cc 02 00 00 41 89 d5 4c 89 ee 48 c1 e6 04 49 03 77 78 <8b> 46 08 8b 7e 0c 48 8b 0e 44 29 e0 39 d8 48 89 4d b0 0f 47 c3 
2018-07-23T00:00:19.289594-03:00 wotan kernel: [363859.916916] RIP: blk_queue_split+0x1b1/0x5a0 RSP: ffffc90007a8f988
2018-07-23T00:00:19.289594-03:00 wotan kernel: [363859.916919] CR2: 0000000000000008
2018-07-23T00:00:19.289595-03:00 wotan kernel: [363859.916960] ---[ end trace 9297237537dfe13d ]---
2018-07-23T00:00:19.294888-03:00 wotan systemd[1]: fstrim.service: Main process exited, code=killed, status=9/KILL
2018-07-23T00:00:19.295473-03:00 wotan systemd[1]: Failed to start Discard unused blocks.
2018-07-23T00:00:19.296091-03:00 wotan systemd[1]: fstrim.service: Unit entered failed state.
2018-07-23T00:00:19.296503-03:00 wotan systemd[1]: fstrim.service: Failed with result 'signal'.

One of my file systems is a bcache-enabled fs. The structure is as listed by lsblk:

# lsblk
NAME            MAJ:MIN RM   SIZE RO TYPE  MOUNTPOINT                                                                                                   
sde               8:64   0 111,8G  0 disk                                                                                                               
├─sde1            8:65   0     8G  0 part  [SWAP]                                                                                                       
└─sde2            8:66   0 103,8G  0 part                                                                                                               
  └─bcache0     252:0    0   3,7T  0 disk  /home                                                                                                        
sdf               8:80   0   1,8T  0 disk                                                                                                               
└─sdf1            8:81   0   1,8T  0 part                                                                                                               
  └─md127         9:127  0   3,7T  0 raid5                                                                                                              
    └─md127p1   259:0    0   3,7T  0 md                                                                                                                 
      └─bcache0 252:0    0   3,7T  0 disk  /home                                                                                                        
sdg               8:96   0   1,8T  0 disk                                                                                                               
└─sdg1            8:97   0   1,8T  0 part                                                                                                               
  └─md127         9:127  0   3,7T  0 raid5                                                                                                              
    └─md127p1   259:0    0   3,7T  0 md                                                                                                                 
      └─bcache0 252:0    0   3,7T  0 disk  /home                                                                                                        
sdh               8:112  0   1,8T  0 disk                                                                                                               
└─sdh1            8:113  0   1,8T  0 part  
  └─md127         9:127  0   3,7T  0 raid5 
    └─md127p1   259:0    0   3,7T  0 md    
      └─bcache0 252:0    0   3,7T  0 disk  /home
sdi               8:128  0 465,8G  0 disk  
└─sdi1            8:129  0 465,8G  0 part  /

So I have a XFS file system mounted atop a MD RAID 5 device atop a bcache. Superblock of the caching device (/dev/sde2) is as follows:

sudo bcache-super-show /dev/sde2 
sb.magic                ok
sb.first_sector         8 [match]
sb.csum                 603515EEF3C87C0E [match]
sb.version              3 [cache device]

dev.label               (empty)
dev.uuid                b88fe169-b065-4780-b68c-aa5446a07130
dev.sectors_per_block   1
dev.sectors_per_bucket  1024
dev.cache.first_sector  1024
dev.cache.cache_sectors 217660416
dev.cache.total_sectors 217661440
dev.cache.ordered       yes
dev.cache.discard       no
dev.cache.pos           0
dev.cache.replacement   0 [lru]

cset.uuid               075ef0e1-cb1f-40b9-870e-973c69f196e3

After some testing, I've found that when I try fstrim /home (my XFS filesystem), I get an Oops:

2018-07-23T09:16:39.987678-03:00 wotan kernel: [21292.555606] BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
2018-07-23T09:16:39.987699-03:00 wotan kernel: [21292.555653] IP: blk_queue_split+0x1b1/0x5a0
2018-07-23T09:16:39.987700-03:00 wotan kernel: [21292.555668] PGD 0 P4D 0 
2018-07-23T09:16:39.987701-03:00 wotan kernel: [21292.555688] Oops: 0000 [#1] SMP NOPTI
2018-07-23T09:16:39.987704-03:00 wotan kernel: [21292.555704] Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast xt_tcpudp xt_CT ip6t_rpf
ilter ip6t_REJECT ipt_REJECT xt_conntrack ebtable_nat ebtable_broute ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_
raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_f
ilter ebtables ip6table_filter ip6_tables iptable_filter ip_tables vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) fuse af_packet ip_set nfnetlink bri
dge stp llc x_tables binfmt_misc msr xfs xpad ff_memless btrfs raid456 async_raid6_recov async_memcpy libcrc32c async_pq async_xor uas usb_storage xor a
sync_tx snd_hda_codec_hdmi bcache snd_usb_audio uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2
2018-07-23T09:16:39.987706-03:00 wotan kernel: [21292.555927]  videobuf2_core raid6_pq snd_usbmidi_lib snd_rawmidi videodev snd_seq_device usblp joydev 
snd_hda_intel md_mod snd_hda_codec edac_mce_amd snd_hda_core kvm_amd snd_hwdep ccp snd_pcm sp5100_tco kvm irqbypass pcspkr k10temp i2c_piix4 snd_timer a
sus_atk0110 snd r8169 mii soundcore shpchp acpi_cpufreq ata_generic hid_generic usbhid ohci_pci serio_raw nvidia_drm(PO) nvidia_modeset(PO) nvidia(PO) f
irewire_ohci pata_jmicron drm_kms_helper syscopyarea sysfillrect xhci_pci sysimgblt ohci_hcd fb_sys_fops ehci_pci xhci_hcd ehci_hcd ahci usbcore drm lib
ahci firewire_core drm_panel_orientation_quirks crc_itu_t ipmi_devintf ipmi_msghandler wmi button sg dm_multipath dm_mod scsi_dh_rdac scsi_dh_emc scsi_d
h_alua [last unloaded: ip_tables]
2018-07-23T09:16:39.987707-03:00 wotan kernel: [21292.556137] CPU: 3 PID: 30610 Comm: fstrim Tainted: P           O     4.12.14-lp150.12.4-default #1 op
enSUSE Leap 15.0 (unreleased)
2018-07-23T09:16:39.987708-03:00 wotan kernel: [21292.556165] Hardware name: System manufacturer System Product Name/M4A89TD PRO USB3, BIOS 3029    09/0
7/2012
2018-07-23T09:16:39.987711-03:00 wotan kernel: [21292.556192] task: ffff8803205101c0 task.stack: ffffc90005ed8000
2018-07-23T09:16:39.987712-03:00 wotan kernel: [21292.556212] RIP: 0010:blk_queue_split+0x1b1/0x5a0
2018-07-23T09:16:39.987713-03:00 wotan kernel: [21292.556227] RSP: 0018:ffffc90005edb988 EFLAGS: 00010246
2018-07-23T09:16:39.987713-03:00 wotan kernel: [21292.556244] RAX: 00000000ffffffff RBX: 000000000006a000 RCX: 00000000026928b0
2018-07-23T09:16:39.987714-03:00 wotan kernel: [21292.556261] RDX: 0000000000000000 RSI: 0000000000000000 RDI: ffff88041bb08888
2018-07-23T09:16:39.987715-03:00 wotan kernel: [21292.556277] RBP: ffffc90005edba08 R08: 0000000000000000 R09: 0000000000000000
2018-07-23T09:16:39.987718-03:00 wotan kernel: [21292.556292] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
2018-07-23T09:16:39.987718-03:00 wotan kernel: [21292.556308] R13: 0000000000000000 R14: ffff88041bb08888 R15: ffff8803f967f420
2018-07-23T09:16:39.987719-03:00 wotan kernel: [21292.556326] FS:  00007ff40a53efc0(0000) GS:ffff880437cc0000(0000) knlGS:0000000000000000
2018-07-23T09:16:39.987720-03:00 wotan kernel: [21292.556352] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
2018-07-23T09:16:39.987721-03:00 wotan kernel: [21292.556367] CR2: 0000000000000008 CR3: 0000000324da6000 CR4: 00000000000006e0
2018-07-23T09:16:39.987721-03:00 wotan kernel: [21292.556383] Call Trace:
2018-07-23T09:16:39.987722-03:00 wotan kernel: [21292.556427]  ? cached_dev_cache_miss+0x270/0x270 [bcache]
2018-07-23T09:16:39.987725-03:00 wotan kernel: [21292.556460]  ? cached_dev_make_request+0xa55/0xcd0 [bcache]
2018-07-23T09:16:39.987750-03:00 wotan kernel: [21292.556479]  blk_queue_bio+0x2f/0x440
2018-07-23T09:16:39.987752-03:00 wotan kernel: [21292.556497]  generic_make_request+0x101/0x2e0
2018-07-23T09:16:39.987752-03:00 wotan kernel: [21292.556514]  ? submit_bio+0x6c/0x140
2018-07-23T09:16:39.987753-03:00 wotan kernel: [21292.556530]  submit_bio+0x6c/0x140
2018-07-23T09:16:39.987754-03:00 wotan kernel: [21292.556548]  next_bio+0x33/0x40
2018-07-23T09:16:39.987757-03:00 wotan kernel: [21292.556566]  __blkdev_issue_discard+0x11e/0x1d0
2018-07-23T09:16:39.987758-03:00 wotan kernel: [21292.556585]  blkdev_issue_discard+0x5d/0xb0
2018-07-23T09:16:39.987758-03:00 wotan kernel: [21292.556705]  ? xfs_trim_extents+0x2b6/0x430 [xfs]
2018-07-23T09:16:39.987759-03:00 wotan kernel: [21292.556798]  xfs_trim_extents+0x2b6/0x430 [xfs]
2018-07-23T09:16:39.987760-03:00 wotan kernel: [21292.556894]  xfs_ioc_trim+0x152/0x1f0 [xfs]
2018-07-23T09:16:39.987760-03:00 wotan kernel: [21292.556989]  xfs_file_ioctl+0x331/0xa20 [xfs]
2018-07-23T09:16:39.987761-03:00 wotan kernel: [21292.557010]  ? sprintf+0x42/0x50
2018-07-23T09:16:39.987764-03:00 wotan kernel: [21292.557030]  ? do_filp_open+0xa0/0xf0
2018-07-23T09:16:39.987764-03:00 wotan kernel: [21292.557050]  ? _copy_to_user+0x22/0x30
2018-07-23T09:16:39.987765-03:00 wotan kernel: [21292.557067]  ? cp_new_stat+0x13d/0x160
2018-07-23T09:16:39.987766-03:00 wotan kernel: [21292.557087]  do_vfs_ioctl+0x90/0x5f0
2018-07-23T09:16:39.987767-03:00 wotan kernel: [21292.557105]  ? SYSC_newfstat+0x29/0x40
2018-07-23T09:16:39.987767-03:00 wotan kernel: [21292.557123]  SyS_ioctl+0x74/0x80
2018-07-23T09:16:39.987770-03:00 wotan kernel: [21292.557142]  do_syscall_64+0x7b/0x140
2018-07-23T09:16:39.987770-03:00 wotan kernel: [21292.557160]  entry_SYSCALL_64_after_hwframe+0x3d/0xa2
2018-07-23T09:16:39.987771-03:00 wotan kernel: [21292.557178] RIP: 0033:0x7ff409e2b477
2018-07-23T09:16:39.987772-03:00 wotan kernel: [21292.557193] RSP: 002b:00007ffc962050a8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
2018-07-23T09:16:39.987772-03:00 wotan kernel: [21292.557220] RAX: ffffffffffffffda RBX: 0000000000000003 RCX: 00007ff409e2b477
2018-07-23T09:16:39.987773-03:00 wotan kernel: [21292.557236] RDX: 00007ffc962050b0 RSI: 00000000c0185879 RDI: 0000000000000003
2018-07-23T09:16:39.987774-03:00 wotan kernel: [21292.557252] RBP: 0000000000000000 R08: 0000558663c657f0 R09: 000000000000000a
2018-07-23T09:16:39.987780-03:00 wotan kernel: [21292.557268] R10: 0000000000000000 R11: 0000000000000246 R12: 0000558663c666a0
2018-07-23T09:16:39.987781-03:00 wotan kernel: [21292.557284] R13: 0000000000000001 R14: 00007ff40a53ef38 R15: 0000558663c666a0
2018-07-23T09:16:39.987782-03:00 wotan kernel: [21292.557301] Code: 34 45 31 c9 45 8b 67 3c 45 31 c0 c7 45 a8 00 00 00 00 45 31 d2 85 db 0f 84 cc 02 00 00 41 89 d5 4c 89 ee 48 c1 e6 04 49 03 77 78 <8b> 46 08 8b 7e 0c 48 8b 0e 44 29 e0 39 d8 48 89 4d b0 0f 47 c3 
2018-07-23T09:16:39.987783-03:00 wotan kernel: [21292.557406] RIP: blk_queue_split+0x1b1/0x5a0 RSP: ffffc90005edb988
2018-07-23T09:16:39.987784-03:00 wotan kernel: [21292.557420] CR2: 0000000000000008
2018-07-23T09:16:39.987784-03:00 wotan kernel: [21292.557466] ---[ end trace 215663f77664bda5 ]---

After this, subsequent calls to fstrim -av hang up, and a hard reboot (reset) is the only way to unmount /home. The command completed successfully when run on the / filesystem (which is also on a SSD but without bcache).


Reproducible: Always

Steps to Reproduce:
1. Create a bcache-enabled XFS filesystem (I only tested with a MD device but I don't think it has something to do with the results).
2. Do some file operations
3. Issue fstrim -av just as configured in /usr/lib/systemd/system/fstrim.service.
Actual Results:  
fstrim gets killed and an Oops like the ones above is generated on /var/log/messages.

2018-07-23T00:00:19.294888-03:00 wotan systemd[1]: fstrim.service: Main process exited, code=killed, status=9/KILL
2018-07-23T00:00:19.295473-03:00 wotan systemd[1]: Failed to start Discard unused blocks.
2018-07-23T00:00:19.296091-03:00 wotan systemd[1]: fstrim.service: Unit entered failed state.
2018-07-23T00:00:19.296503-03:00 wotan systemd[1]: fstrim.service: Failed with result 'signal'.

Expected Results:  
The command should complete cleanly, ignoring the bcache device if it's the case. 

It seems that fstrim has never been actually run on my / filesystem since I replaced my SSD drive, for I've got 155 Gbytes free after a manually issued "fstrim /" command. For the moment, for preventing data loss and system freezing, I've mounted / with the "discard" option and I have disabled the fstrim service.
Comment 1 Takashi Iwai 2018-07-31 15:33:44 UTC
Supposing it's related with bcache, Coly, could you take a look?
Comment 2 Coly Li 2018-08-03 05:16:05 UTC
(In reply to Takashi Iwai from comment #1)
> Supposing it's related with bcache, Coly, could you take a look?

Sure, I take it.
Comment 3 Coly Li 2019-01-20 03:06:58 UTC
There is a fix avaialbe, I will take this patch to all candidate product soon.

Coly Li
Comment 4 Coly Li 2019-02-12 08:53:38 UTC
The fix patch is just submitted for Linux v5.1 merge window.
Comment 5 Coly Li 2019-05-11 16:24:41 UTC
The fix is in SLE12-SP3/-SP4 and SLE15. But it seems I don't mention this report ID in the patches. I will do it later, and then close this report.
Comment 8 Coly Li 2019-07-27 08:51:52 UTC
The bsc# number is added to patches.suse/0138-bcache-never-writeback-a-discard-operation.patch, to all kernel which has this patch.

Here I close this bug report.
Comment 21 Swamp Workflow Management 2019-08-07 04:11:27 UTC
SUSE-SU-2019:2072-1: An update that solves 7 vulnerabilities and has 70 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1111666,1119222,1123080,1127034,1127315,1129770,1130972,1133021,1134097,1134390,1134399,1135335,1135642,1136896,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1139358,1140133,1140139,1140322,1140652,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141401,1141402,1141452,1141453,1141454,1141478,1142023,1142112,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    kernel-default-4.12.14-95.29.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    kernel-docs-4.12.14-95.29.1, kernel-obs-build-4.12.14-95.29.1
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-default-4.12.14-95.29.1, kernel-source-4.12.14-95.29.1, kernel-syms-4.12.14-95.29.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.29.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    kernel-default-4.12.14-95.29.1, kernel-source-4.12.14-95.29.1, kernel-syms-4.12.14-95.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Swamp Workflow Management 2019-08-07 04:22:06 UTC
SUSE-SU-2019:2071-1: An update that solves 7 vulnerabilities and has 48 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1119222,1123080,1127034,1127315,1129770,1130972,1133021,1134097,1134390,1134399,1135335,1135642,1137458,1137534,1137535,1137584,1137609,1137827,1139358,1140133,1140322,1140652,1140903,1140945,1141401,1141402,1141452,1141453,1141454,1141478,1142023,1142112,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.32.1, kernel-livepatch-SLE15_Update_13-1-1.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2019-08-07 04:29:50 UTC
SUSE-SU-2019:2070-1: An update that solves 7 vulnerabilities and has 95 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1103991,1103992,1104745,1109837,1111666,1112374,1119222,1123080,1127034,1127315,1127611,1129770,1130972,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1136217,1136342,1136460,1136461,1136462,1136467,1136896,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139358,1139619,1140133,1140139,1140322,1140559,1140652,1140676,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1142023,1142052,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-azure-4.12.14-6.23.1, kernel-source-azure-4.12.14-6.23.1, kernel-syms-azure-4.12.14-6.23.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2019-08-07 04:43:39 UTC
SUSE-SU-2019:2073-1: An update that solves 7 vulnerabilities and has 78 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1103991,1103992,1104745,1109837,1111666,1112374,1119222,1123080,1127034,1127315,1127611,1129770,1130972,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1136217,1136342,1136460,1136461,1136462,1136467,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139358,1139619,1140133,1140139,1140322,1140559,1140652,1140676,1140903,1140945,1140948,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    dtb-aarch64-4.12.14-197.15.1, kernel-debug-4.12.14-197.15.1, kernel-default-4.12.14-197.15.1, kernel-docs-4.12.14-197.15.1, kernel-kvmsmall-4.12.14-197.15.1, kernel-obs-qa-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-vanilla-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.15.1, kernel-obs-build-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-syms-4.12.14-197.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Swamp Workflow Management 2019-08-07 05:05:19 UTC
SUSE-SU-2019:2073-1: An update that solves 7 vulnerabilities and has 78 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1103991,1103992,1104745,1109837,1111666,1112374,1119222,1123080,1127034,1127315,1127611,1129770,1130972,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1136217,1136342,1136460,1136461,1136462,1136467,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139358,1139619,1140133,1140139,1140322,1140559,1140652,1140676,1140903,1140945,1140948,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    dtb-aarch64-4.12.14-197.15.1, kernel-debug-4.12.14-197.15.1, kernel-default-4.12.14-197.15.1, kernel-docs-4.12.14-197.15.1, kernel-kvmsmall-4.12.14-197.15.1, kernel-obs-qa-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-vanilla-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise Module for Live Patching 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.15.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.15.1, kernel-obs-build-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-syms-4.12.14-197.15.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.15.1, kernel-source-4.12.14-197.15.1, kernel-zfcpdump-4.12.14-197.15.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 26 Swamp Workflow Management 2019-08-07 05:40:15 UTC
SUSE-SU-2019:2071-1: An update that solves 7 vulnerabilities and has 48 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1119222,1123080,1127034,1127315,1129770,1130972,1133021,1134097,1134390,1134399,1135335,1135642,1137458,1137534,1137535,1137584,1137609,1137827,1139358,1140133,1140322,1140652,1140903,1140945,1141401,1141402,1141452,1141453,1141454,1141478,1142023,1142112,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    kernel-default-4.12.14-150.32.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    kernel-default-4.12.14-150.32.1, kernel-docs-4.12.14-150.32.1, kernel-obs-qa-4.12.14-150.32.1
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.32.1, kernel-livepatch-SLE15_Update_13-1-1.5.1
SUSE Linux Enterprise Module for Legacy Software 15 (src):    kernel-default-4.12.14-150.32.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    kernel-docs-4.12.14-150.32.1, kernel-obs-build-4.12.14-150.32.1, kernel-source-4.12.14-150.32.1, kernel-syms-4.12.14-150.32.1, kernel-vanilla-4.12.14-150.32.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    kernel-default-4.12.14-150.32.1, kernel-source-4.12.14-150.32.1, kernel-zfcpdump-4.12.14-150.32.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-150.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 27 Swamp Workflow Management 2019-08-07 05:47:55 UTC
SUSE-SU-2019:2072-1: An update that solves 7 vulnerabilities and has 70 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1102247,1111666,1119222,1123080,1127034,1127315,1129770,1130972,1133021,1134097,1134390,1134399,1135335,1135642,1136896,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1139358,1140133,1140139,1140322,1140652,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141401,1141402,1141452,1141453,1141454,1141478,1142023,1142112,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143507
CVE References: CVE-2018-20855,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    kernel-default-4.12.14-95.29.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    kernel-docs-4.12.14-95.29.1, kernel-obs-build-4.12.14-95.29.1
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-default-4.12.14-95.29.1, kernel-source-4.12.14-95.29.1, kernel-syms-4.12.14-95.29.1
SUSE Linux Enterprise Live Patching 12-SP4 (src):    kgraft-patch-SLE12-SP4_Update_7-1-6.5.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.29.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    kernel-default-4.12.14-95.29.1, kernel-source-4.12.14-95.29.1, kernel-syms-4.12.14-95.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 28 Swamp Workflow Management 2019-08-07 09:51:13 UTC
This is an autogenerated message for OBS integration:
This bug (1102247) was mentioned in
https://build.opensuse.org/request/show/721464 15.1 / kernel-source
Comment 29 Swamp Workflow Management 2019-08-07 10:50:46 UTC
This is an autogenerated message for OBS integration:
This bug (1102247) was mentioned in
https://build.opensuse.org/request/show/721484 15.0 / kernel-source
Comment 30 Swamp Workflow Management 2019-08-16 16:12:41 UTC
openSUSE-SU-2019:1924-1: An update that solves 8 vulnerabilities and has 90 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1085030,1086103,1102247,1106061,1111666,1114279,1119222,1123959,1127034,1127315,1129770,1130972,1131281,1133021,1134097,1134390,1134399,1135335,1135642,1135897,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1139101,1139358,1139500,1140133,1140139,1140322,1140426,1140652,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1142023,1142112,1142117,1142118,1142119,1142220,1142221,1142254,1142265,1142350,1142351,1142354,1142359,1142450,1142496,1142635,1142685,1142701,1142857,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143466,1143507,1144474,1144518
CVE References: CVE-2018-20855,CVE-2019-10207,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
openSUSE Leap 15.0 (src):    kernel-debug-4.12.14-lp150.12.70.1, kernel-default-4.12.14-lp150.12.70.1, kernel-docs-4.12.14-lp150.12.70.1, kernel-kvmsmall-4.12.14-lp150.12.70.1, kernel-obs-build-4.12.14-lp150.12.70.1, kernel-obs-qa-4.12.14-lp150.12.70.1, kernel-source-4.12.14-lp150.12.70.1, kernel-syms-4.12.14-lp150.12.70.1, kernel-vanilla-4.12.14-lp150.12.70.1
Comment 31 Swamp Workflow Management 2019-08-16 16:26:07 UTC
openSUSE-SU-2019:1923-1: An update that solves 8 vulnerabilities and has 97 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1085030,1086103,1102247,1103991,1103992,1104745,1106061,1109837,1111666,1112374,1114279,1119222,1123959,1127034,1127315,1127611,1129770,1130972,1131281,1133021,1134090,1134097,1134390,1134399,1135335,1135642,1135897,1136217,1136342,1136352,1136460,1136461,1136467,1136502,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1138874,1139101,1139358,1139500,1139619,1140133,1140139,1140322,1140426,1140559,1140652,1140676,1140903,1140945,1141312,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142117,1142118,1142119,1142220,1142221,1142254,1142265,1142350,1142351,1142354,1142359,1142450,1142623,1142635,1142673,1142685,1142701,1142857,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143466,1143507,1143738,1144474,1144518
CVE References: CVE-2018-20855,CVE-2019-10207,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
openSUSE Leap 15.1 (src):    kernel-debug-4.12.14-lp151.28.13.1, kernel-default-4.12.14-lp151.28.13.1, kernel-docs-4.12.14-lp151.28.13.1, kernel-kvmsmall-4.12.14-lp151.28.13.1, kernel-obs-build-4.12.14-lp151.28.13.1, kernel-obs-qa-4.12.14-lp151.28.13.1, kernel-source-4.12.14-lp151.28.13.1, kernel-syms-4.12.14-lp151.28.13.1, kernel-vanilla-4.12.14-lp151.28.13.1
Comment 36 Swamp Workflow Management 2019-09-23 13:22:39 UTC
SUSE-SU-2019:2430-1: An update that solves 45 vulnerabilities and has 474 fixes is now available.

Category: security (important)
Bug References: 1050242,1050549,1051510,1052904,1053043,1055117,1055121,1055186,1056787,1058115,1061840,1064802,1065600,1065729,1066129,1070872,1071995,1075020,1082387,1082555,1083647,1083710,1085535,1085536,1088047,1088804,1093389,1094555,1096003,1098633,1099658,1102247,1103186,1103259,1103990,1103991,1103992,1104745,1106011,1106284,1106383,1106751,1108193,1108838,1108937,1109837,1110946,1111331,1111666,1111696,1112063,1112128,1112178,1112374,1113722,1113956,1114279,1114427,1114542,1114638,1114685,1115688,1117114,1117158,1117561,1118139,1119113,1119222,1119532,1119680,1120091,1120318,1120423,1120566,1120843,1120902,1122767,1122776,1123080,1123454,1123663,1124503,1124839,1125703,1126206,1126356,1126704,1127034,1127175,1127315,1127371,1127374,1127611,1127616,1128052,1128415,1128432,1128544,1128902,1128904,1128971,1128979,1129138,1129273,1129693,1129770,1129845,1130195,1130425,1130527,1130567,1130579,1130699,1130836,1130937,1130972,1131326,1131427,1131438,1131451,1131467,1131488,1131530,1131565,1131574,1131587,1131645,1131659,1131673,1131847,1131848,1131851,1131900,1131934,1131935,1132044,1132219,1132226,1132227,1132365,1132368,1132369,1132370,1132372,1132373,1132384,1132390,1132397,1132402,1132403,1132404,1132405,1132407,1132411,1132412,1132413,1132414,1132426,1132527,1132531,1132555,1132558,1132561,1132562,1132563,1132564,1132570,1132571,1132572,1132589,1132618,1132673,1132681,1132726,1132828,1132894,1132943,1132982,1133005,1133016,1133021,1133094,1133095,1133115,1133149,1133176,1133188,1133190,1133311,1133320,1133401,1133486,1133529,1133547,1133584,1133593,1133612,1133616,1133667,1133668,1133672,1133674,1133675,1133698,1133702,1133731,1133738,1133769,1133772,1133774,1133778,1133779,1133780,1133825,1133850,1133851,1133852,1133897,1134090,1134097,1134160,1134162,1134199,1134200,1134201,1134202,1134203,1134204,1134205,1134223,1134303,1134354,1134390,1134393,1134395,1134397,1134399,1134459,1134460,1134461,1134597,1134600,1134607,1134618,1134651,1134671,1134730,1134738,1134743,1134760,1134806,1134810,1134813,1134848,1134936,1134945,1134946,1134947,1134948,1134949,1134950,1134951,1134952,1134953,1134972,1134974,1134975,1134980,1134981,1134983,1134987,1134989,1134990,1134994,1134995,1134998,1134999,1135006,1135007,1135008,1135018,1135021,1135024,1135026,1135027,1135028,1135029,1135031,1135033,1135034,1135035,1135036,1135037,1135038,1135039,1135041,1135042,1135044,1135045,1135046,1135047,1135049,1135051,1135052,1135053,1135055,1135056,1135058,1135100,1135120,1135153,1135278,1135281,1135296,1135309,1135312,1135314,1135315,1135316,1135320,1135323,1135330,1135335,1135492,1135542,1135556,1135603,1135642,1135661,1135758,1135897,1136156,1136157,1136161,1136188,1136206,1136215,1136217,1136264,1136271,1136333,1136342,1136343,1136345,1136347,1136348,1136353,1136424,1136428,1136430,1136432,1136434,1136435,1136438,1136439,1136456,1136460,1136461,1136462,1136467,1136469,1136477,1136478,1136498,1136573,1136586,1136598,1136881,1136922,1136935,1136978,1136990,1137103,1137151,1137152,1137153,1137162,1137194,1137201,1137224,1137232,1137233,1137236,1137366,1137372,1137429,1137444,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137739,1137752,1137811,1137827,1137884,1137985,1137995,1137996,1137998,1137999,1138000,1138002,1138003,1138005,1138006,1138007,1138008,1138009,1138010,1138011,1138012,1138013,1138014,1138015,1138016,1138017,1138018,1138019,1138263,1138291,1138293,1138336,1138374,1138375,1138589,1138681,1138719,1138732,1138874,1138879,1139358,1139619,1139712,1139751,1139771,1139865,1140133,1140139,1140228,1140322,1140328,1140405,1140424,1140428,1140454,1140463,1140559,1140575,1140577,1140637,1140652,1140658,1140676,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141312,1141401,1141402,1141452,1141453,1141454,1141478,1141558,1142023,1142052,1142083,1142112,1142115,1142119,1142220,1142221,1142254,1142350,1142351,1142354,1142359,1142450,1142623,1142673,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143209,1143507
CVE References: CVE-2017-5753,CVE-2018-12126,CVE-2018-12127,CVE-2018-12130,CVE-2018-16871,CVE-2018-16880,CVE-2018-20836,CVE-2018-20855,CVE-2018-7191,CVE-2019-10124,CVE-2019-10638,CVE-2019-10639,CVE-2019-11085,CVE-2019-11091,CVE-2019-1125,CVE-2019-11477,CVE-2019-11478,CVE-2019-11479,CVE-2019-11486,CVE-2019-11487,CVE-2019-11599,CVE-2019-11810,CVE-2019-11811,CVE-2019-11815,CVE-2019-11833,CVE-2019-11884,CVE-2019-12380,CVE-2019-12382,CVE-2019-12456,CVE-2019-12614,CVE-2019-12817,CVE-2019-12818,CVE-2019-12819,CVE-2019-13233,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284,CVE-2019-3846,CVE-2019-3882,CVE-2019-5489,CVE-2019-8564,CVE-2019-9003,CVE-2019-9500,CVE-2019-9503
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP1 (src):    kernel-rt-4.12.14-14.8.1, kernel-rt_debug-4.12.14-14.8.1, kernel-source-rt-4.12.14-14.8.1, kernel-syms-rt-4.12.14-14.8.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    kernel-rt-4.12.14-14.8.1, kernel-rt_debug-4.12.14-14.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 37 Swamp Workflow Management 2019-09-24 16:13:14 UTC
SUSE-SU-2019:2450-1: An update that solves 21 vulnerabilities and has 160 fixes is now available.

Category: security (important)
Bug References: 1012382,1051510,1053043,1055117,1061840,1065600,1065729,1068032,1071995,1083647,1083710,1088047,1094555,1098633,1102247,1106383,1106751,1109137,1111666,11123080,1112824,1113722,1114279,1115688,1117158,1118139,1119222,1120423,1120566,1124167,1124503,1127034,1127155,1127315,1128432,1128902,1128910,1129770,1130972,1132154,1132390,1133021,1133401,1133738,1134097,1134303,1134390,1134393,1134395,1134399,1134671,1135296,1135335,1135556,1135642,1135661,1136157,1136424,1136598,1136811,1136896,1136922,1136935,1136990,1137103,1137162,1137194,1137366,1137372,1137429,1137444,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137739,1137752,1137811,1137827,1137884,1137995,1137996,1137998,1137999,1138000,1138002,1138003,1138005,1138006,1138007,1138008,1138009,1138010,1138011,1138012,1138013,1138014,1138015,1138016,1138017,1138018,1138019,1138291,1138293,1138374,1138375,1138589,1138719,1139358,1139751,1139771,1139782,1139865,1140133,1140139,1140322,1140328,1140405,1140424,1140428,1140575,1140577,1140637,1140652,1140658,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141401,1141402,1141452,1141453,1141454,1141478,1141488,1142023,1142112,1142220,1142221,1142265,1142350,1142351,1142354,1142359,1142450,1142701,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143507
CVE References: CVE-2018-16871,CVE-2018-20836,CVE-2018-20855,CVE-2019-10126,CVE-2019-10638,CVE-2019-10639,CVE-2019-1125,CVE-2019-11477,CVE-2019-11478,CVE-2019-11599,CVE-2019-11810,CVE-2019-12380,CVE-2019-12456,CVE-2019-12614,CVE-2019-12818,CVE-2019-12819,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284,CVE-2019-3846
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP4 (src):    kernel-rt-4.12.14-8.3.1, kernel-rt_debug-4.12.14-8.3.1, kernel-source-rt-4.12.14-8.3.1, kernel-syms-rt-4.12.14-8.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 39 Swamp Workflow Management 2019-10-23 19:19:01 UTC
SUSE-SU-2019:2756-1: An update that solves 44 vulnerabilities and has 368 fixes is now available.

Category: security (important)
Bug References: 1012382,1047238,1050911,1051510,1053043,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1071995,1078248,1082555,1083647,1083710,1085030,1085536,1085539,1086103,1087092,1088047,1090734,1091171,1093205,1094555,1098633,1102097,1102247,1104902,1104967,1106061,1106284,1106383,1106434,1106751,1108382,1109137,1109158,1111666,1112178,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1115688,1117158,1118139,1118689,1119086,1119222,1119532,1120423,1120566,1120876,1120902,1120937,1123034,1123080,1123105,1123959,1124167,1124370,1124503,1127034,1127155,1127315,1127988,1128432,1128902,1128910,1129424,1129519,1129664,1129770,1130972,1131107,1131281,1131304,1131565,1132154,1132390,1132686,1133021,1133401,1134097,1134291,1134303,1134390,1134671,1134881,1134882,1135219,1135296,1135335,1135556,1135642,1135661,1135897,1136157,1136261,1136811,1136896,1136935,1136990,1137069,1137162,1137221,1137366,1137372,1137429,1137444,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137739,1137752,1137811,1137827,1137865,1137884,1137959,1137995,1137996,1137998,1137999,1138000,1138002,1138003,1138005,1138006,1138007,1138008,1138009,1138010,1138011,1138012,1138013,1138014,1138015,1138016,1138017,1138018,1138019,1138374,1138375,1138539,1138589,1138719,1139020,1139021,1139101,1139500,1139771,1139782,1139865,1140012,1140133,1140139,1140155,1140322,1140328,1140405,1140424,1140426,1140428,1140487,1140637,1140652,1140658,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141013,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1141543,1141554,1142019,1142076,1142109,1142112,1142117,1142118,1142119,1142129,1142220,1142221,1142350,1142351,1142354,1142359,1142450,1142496,1142541,1142635,1142685,1142701,1142857,1142868,1143003,1143105,1143185,1143300,1143466,1143507,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145024,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146042,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146540,1146543,1146547,1146550,1146575,1146589,1146664,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148698,1148712,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149313,1149325,1149376,1149413,1149418,1149424,1149446,1149522,1149527,1149539,1149552,1149555,1149591,1149602,1149612,1149626,1149651,1149652,1149713,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150381,1150423,1150562,1150727,1150860,1150861,1150933,1151350,1151610,1151667,1151671,1151891,1151955,1152024,1152025,1152026,1152161,1152325,1152457,1152460,1152466,1152972,1152974,1152975
CVE References: CVE-2017-18551,CVE-2017-18595,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-11479,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14821,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15291,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP4 (src):    kernel-rt-4.12.14-8.6.1, kernel-rt_debug-4.12.14-8.6.1, kernel-source-rt-4.12.14-8.6.1, kernel-syms-rt-4.12.14-8.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.